]> git.pld-linux.org Git - packages/boa.git/blobdiff - boa.init
- added macros in /etc/logrotate.d
[packages/boa.git] / boa.init
index d7ff8b4ee95684a2c3237c74828d77a1a115c257..96b15485e773d955893b9d8f04914872ea49f65e 100644 (file)
--- a/boa.init
+++ b/boa.init
@@ -1,47 +1,79 @@
 #!/bin/sh
 #
-# Startup script for the Boa Web Server
+# boa          Boa Web Server
 #
-# chkconfig: 345 85 15
-# description: Boa is a World Wide Web server.  It is used to serve \
-# HTML files and CGI.
-# processname: boa
-# config: /etc/httpd/boa.conf
+# chkconfig:   345 85 15
+# description: Boa is a World Wide Web server.  It is used to serve \
+#              HTML files and CGI.
+# processname: boa
+# config:      /etc/httpd/boa.conf
 
-# Source function library.
+
+# Source function library
 . /etc/rc.d/init.d/functions
 
-# Check that networking is up.
-[ "${NETWORKING}" == "no" ] && exit0
+# Get network config
+. /etc/sysconfig/network
+
+# Get service config - may override defaults
+[ -f /etc/sysconfig/boa ] && . /etc/sysconfig/boa
 
-# Try set service nice level
-if [ -f /etc/sysconfig/services/boa ]; then
-    . /etc/sysconfig/services/boa
-fi    
+# Check that networking is up.
+if is_yes "${NETWORKING}"; then
+       if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
+               msg_network_down "Boa httpd"
+               exit 1
+       fi
+else
+       exit 0
+fi
 
+RETVAL=0
 # See how we were called.
 case "$1" in
   start)
-       show "Starting boa"
-       daemon boa
-       touch /var/lock/subsys/httpd
+       # Check if the service is already running?
+       if [ ! -f /var/lock/subsys/boa ]; then
+               msg_starting "Boa httpd"
+               daemon boa
+               RETVAL=$?
+               [ $RETVAL -eq 0 ] && touch /var/lock/subsys/boa
+       else
+               msg_already_running "Boa httpd"
+       fi
        ;;
   stop)
-       show "Shutting down boa"
-       killproc boa
-       rm -f /var/lock/subsys/boa
-       ;;
-  status)
-       status boa
+       # Stop daemons.
+       if [ -f /var/lock/subsys/boa ]; then
+               msg_stopping "Boa httpd"
+               killproc boa
+               rm -f /var/lock/subsys/boa >/dev/null 2>&1
+       else
+               msg_not_running "Boa httpd"
+       fi      
        ;;
   restart)
        $0 stop
        $0 start
+       exit $?
        ;;
-  *)
-       echo "Usage: $0 {start|stop|restart|status}"
-       exit 1
+  reload|force-reload)
+       if [ -f /var/lock/subsys/boa ]; then
+               msg_reloading "Boa httpd"
+               killproc boa -HUP
+               RETVAL=$?
+       else
+               msg_not_running "Boa httpd" >&2
+               exit 7
+       fi
+       ;;
+  status)
+       status boa
+       exit $?
        ;;
+  *)
+       msg_usage "$0 {start|stop|restart|reload|force-reload|status}"
+       exit 3
 esac
 
-exit 0
+exit $RETVAL
This page took 0.02859 seconds and 4 git commands to generate.